/*ЭЛЕМЕНТЫ ФОРМ.-START-*/
input,
select,
textarea {
  outline: none !important;
  box-shadow: none !important;
  font-family: 'Manrope', sans-serif;
}
.form-control {
  outline: none !important;
  box-shadow: none !important;
  color: var(--color-text-default);
}
.form-control.white-input {
  height: 48px;
  line-height: 48px;
  font-size: 16px;
  padding: 0 12px;
  border: none;
  border-radius: 4px;
  background: #ffffff;
  color: var(--color-text-default);
}
.form-control.white-textarea {
  line-height: 1.5;
  font-size: 16px;
  padding: 10px 12px;
  border: none;
  border-radius: 4px;
  background: #ffffff;
  color: var(--color-text-default);
  height: 120px;
}
.form-label {
  font-size: 14px;
  color: var(--color-gray);
  margin-bottom: 7px;
}
.some_select {
  width: 100%;
  height: 40px;
  line-height: 38px;
  font-size: 14px;
  color: #1F1F1F;
  border: 1px solid var(--color-border-gray);
  border-radius: 6px;
  padding: 0 12px;
}
.some_select[disabled] {
  color: var(--color-border-gray);
}
/*ЭЛЕМЕНТЫ ФОРМ.-END-*/
/*Всплывающая форма.*/
.popup_form_cont {
  width: 100%;
  max-width: 450px;
  padding: 50px;
  border-radius: 20px;
}
@media (max-width: 480px) {
  .popup_form_cont {
    padding: 48px 20px;
  }
}
.popup_form .field-cont {
  margin: 0 0 25px 0;
}
.popup_form .form-control {
  font-size: 16px;
  line-height: 24px;
  border-radius: 6px;
  border-color: var(--color-border-gray);
  padding: 9px 15px;
}
.popup_form .form-check {
  font-size: 14px;
  line-height: 20px;
  color: var(--color-gray);
}
.popup_error {
  font-size: 16px;
}
.popup_success {
  text-align: center;
}
/*Поле со слайдером.-НАЧАЛО-*/
.slider_cont {
  width: 100%;
  height: 40px;
  background: none;
  padding: 0;
  color: var(--color-aqua);
  background-color: #ffffff;
  font-size: 0;
  border: 1px solid var(--color-border-gray);
  border-radius: 6px;
}
.slider_cont input {
  display: block;
  height: 38px;
  font-size: 14px;
  line-height: 38px;
  border: none;
  background: none;
  color: var(--color-text-default);
  padding: 0 12px;
}
.slider_cont.one_input input {
  width: 100%;
}
.slider_cont.two_input input {
  display: inline-block;
  width: 50%;
}
.slider_cont.two_input .second_input {
  text-align: right;
}
.slider_cont .ui-slider {
  height: 4px;
  width: 90%;
  background: none;
  position: relative;
  margin: -2px 0 0 5%;
}
.slider_cont .ui-slider-range {
  display: block;
  position: relative;
  width: 0%;
  height: 100%;
  background: var(--color-orange);
}
.slider_cont .ui-slider-handle {
  display: block;
  position: absolute;
  cursor: pointer;
  z-index: 1;
  width: 16px;
  height: 16px;
  padding: 4px 0 0 4px;
  border-radius: 100px;
  background: #ffffff;
  margin: -10px 0 0 -8px;
  border: 1px solid var(--color-orange);
}
@media (max-width: 991px) {
  .slider_cont .ui-slider-handle {
    width: 22px;
    height: 22px;
    padding: 7px 0 0 7px;
    margin: -13px 0 0 -11px;
  }
}
.slider_cont .ui-slider-handle::before {
  content: "";
  display: block;
  width: 6px;
  height: 6px;
  border-radius: 10px;
  background: var(--color-orange);
}
/*Поле со слайдером.-КОНЕЦ-*/
/*****************************************/
/*****Свои версии чекбоксов.-НАЧАЛО-*****/
/***************************************/
.checkboxes_list {
  font-size: 0;
}
.custom_checkbox {
  cursor: pointer;
}
.custom_checkbox input {
  display: none;
  cursor: pointer;
}
/*Чекбоксы одной сплошной панелью.*/
.checkboxes_together .checkbox_item {
  display: inline-block;
  height: 40px;
  width: 40px;
  border: 1px solid #E2E4E9;
  background-color: #ffffff;
  line-height: 38px;
  font-size: 14px;
  text-align: center;
  margin: 0 0 0 -1px;
}
.checkboxes_together .checkbox_item.checkbox_text {
  width: auto;
  padding: 0 16px;
}
.checkboxes_together .checkbox_item.checked {
  color: #ffffff;
  background-color: var(--color-orange);
}
.checkboxes_together .checkbox_item:first-child {
  border-top-left-radius: 6px;
  border-bottom-left-radius: 6px;
}
.checkboxes_together .checkbox_item:last-child {
  border-top-right-radius: 6px;
  border-bottom-right-radius: 6px;
}
/*Чекбоксы скруглёнными кнопочками.*/
.checkbox_pill {
  display: inline-block;
  height: 32px;
  padding: 0 16px;
  border-radius: 16px;
  line-height: 32px;
  font-size: 14px;
  color: #525866;
  background: #F6F8FA;
  margin: 0 10px 10px 0;
}
.checkbox_pill.checked {
  color: #6E330C;
  background: #FFDAC2;
}
/****************************************/
/*****Свои версии чекбоксов.-КОНЕЦ-*****/
/**************************************/

